MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029969Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2018-07-18 00:592018-07-28 12:39
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.3.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029969: Modeling Algorithms - BRepPrimAPI_MakeHalfSpace::Shape() returns NULL shape while reporting IsDone()
DescriptionFor some reason BRepPrimAPI_MakeHalfSpace provides result only via method BRepPrimAPI_MakeHalfSpace::Solid() ignoring a common interface from a base class BRepPrimAPI_MakeHalfSpace::Shape().
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077761)
git (administrator)
2018-07-18 01:06

Branch CR29969 has been created by kgv.

SHA-1: f50ed31bc6632e6a60ffb1ae8c29cd65d0cc2fdb


Detailed log of new commits:

Author: kgv
Date: Wed Jul 18 01:04:58 2018 +0300

    0029969: Modeling Algorithms - BRepPrimAPI_MakeHalfSpace::Shape() returns NULL shape while reporting IsDone()
(0077762)
kgv (developer)
2018-07-18 01:06

Patch is ready for review.
(0077766)
msv (developer)
2018-07-18 09:24

Reviewed.
(0077806)
bugmaster (administrator)
2018-07-19 10:14

Combination -
OCCT branch : CR29969 SHA - f50ed31bc6632e6a60ffb1ae8c29cd65d0cc2fdb
Products branch : master SHA - edc03a9d94e87d0141f8dbfdc1c42f755e9765d9
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian70-64:
OCCT
Total CPU difference: 17144.89999999982 / 17080.800000000007 [+0.38%]
Products
Total CPU difference: 7485.380000000045 / 7461.880000000036 [+0.31%]
Windows-64-VC10:
OCCT
Total CPU difference: 16890.555872098543 / 16984.608874998572 [-0.55%]
Products
Total CPU difference: 8269.987412399849 / 8248.209672799876 [+0.26%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0078145)
git (administrator)
2018-07-28 12:39

Branch CR29969 has been deleted by inv.

SHA-1: f50ed31bc6632e6a60ffb1ae8c29cd65d0cc2fdb

- Related Changesets
occt: master 288fff89
Timestamp: 2018-07-17 22:04:58
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029969: Modeling Algorithms - BRepPrimAPI_MakeHalfSpace::Shape() returns NULL shape while reporting IsDone()
mod - src/BRepPrimAPI/BRepPrimAPI_MakeHalfSpace.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-18 00:59 kgv New Issue
2018-07-18 00:59 kgv Assigned To => msv
2018-07-18 01:06 git Note Added: 0077761
2018-07-18 01:06 kgv Note Added: 0077762
2018-07-18 01:06 kgv Status new => resolved
2018-07-18 09:24 msv Note Added: 0077766
2018-07-18 09:24 msv Assigned To msv => bugmaster
2018-07-18 09:24 msv Status resolved => reviewed
2018-07-19 10:14 bugmaster Note Added: 0077806
2018-07-19 10:14 bugmaster Status reviewed => tested
2018-07-19 10:14 bugmaster Test case number => Not needed
2018-07-28 12:26 bugmaster Changeset attached => occt master 288fff89
2018-07-28 12:26 bugmaster Status tested => verified
2018-07-28 12:26 bugmaster Resolution open => fixed
2018-07-28 12:39 git Note Added: 0078145


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker